%global artifactId javax.servlet.jsp
%global jspspec 2.3
%global reltag b02

Name:       glassfish-jsp
Version:    2.3.3
Release:    %mkrel 0.3.%{reltag}.2
Group:      Development/Java
Summary:    Glassfish J2EE JSP API implementation
License:    (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:        http://glassfish.org
BuildArch:  noarch

Source0:    %{artifactId}-%{version}-%{reltag}.tar.xz
# no source releases, but this will generate tarball for you from an
# SVN tag
Source1:    generate_tarball.sh
Source2:    http://www.apache.org/licenses/LICENSE-2.0.txt
Source3:    https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt

Patch0:     %{name}-build-eclipse-compilers.patch
Patch1:     %{name}-port-to-servlet-3.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(javax.servlet.jsp:javax.servlet.jsp-api)
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.eclipse.jdt:core)
BuildRequires:  mvn(org.glassfish:javax.el)

Provides:   jsp = %{jspspec}
Provides:   jsp%{jspspec}

Provides:   javax.servlet.jsp
# make sure the symlinks will be correct
Requires:  glassfish-jsp-api

%description
This project provides a container independent implementation of JSP
2.3. The main goals are:
  * Improves current implementation: bug fixes and performance
    improvements
  * Provides API for use by other tools, such as Netbeans
  * Provides a sandbox for new JSP features; provides a reference
    implementation of next JSP spec.


%package javadoc
Summary:    API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{artifactId}-%{version}-%{reltag}
%patch0 -p1
%patch1 -p1

%pom_add_dep org.eclipse.jdt:core::provided

cp -p %{SOURCE2} LICENSE
cp -p %{SOURCE3} cddllicense.txt

%mvn_alias : "javax.servlet:jsp-api" "org.eclipse.jetty.orbit:org.apache.jasper.glassfish"

# compat symlink
%mvn_file : %{name}/javax.servlet.jsp %{name}

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

# install j2ee api symlinks
install -d -m 755 %{buildroot}%{_javadir}/javax.servlet.jsp/
pushd %{buildroot}%{_javadir}/javax.servlet.jsp/
for jar in ../%{name}/*jar; do
    ln -sf $jar .
done
# copy jsp-api so that build-classpath will include dep as well
if [ -f %{_javadir}/%{name}-api*.jar ];then
   cp %{_javadir}/glassfish-jsp-api*.jar .
else
   cp %{_javadir}/glassfish-jsp-api/*.jar .
fi
xmvn-subst .
popd

%files -f .mfiles
%dir %{_javadir}/%{name}
%{_javadir}/javax.servlet.jsp
%doc LICENSE cddllicense.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE cddllicense.txt




%changelog
* Sun May 14 2017 neoclust <neoclust> 2.3.3-0.3.b02.2.mga6
+ Revision: 1101318
- Add missing build-requires

* Wed Mar 02 2016 neoclust <neoclust> 2.3.3-0.3.b02.2.mga6
+ Revision: 982078
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.3.3-0.3.b02.1.mga6
+ Revision: 977229
- sync package glassfish-jsp with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.3.2-5.mga5
+ Revision: 805861
- Clean rebuild
- Sync with Fedora 21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + dmorgan <dmorgan>
    - New version
    - Add javax.servlet.jsp directory and provides

* Sat Oct 19 2013 umeabot <umeabot> 2.2.6-5.mga4
+ Revision: 534866
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 dmorgan <dmorgan> 2.2.6-4.mga4
+ Revision: 479816
- Change scope of Eclipse JDT dependency from compile to provided

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2.6-3.mga4
+ Revision: 453764
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 351743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.2.6-1.mga3
+ Revision: 292896
- New version

* Sun Jul 01 2012 dmorgan <dmorgan> 2.2.3-1.mga3
+ Revision: 266441
- imported package glassfish-jsp


* Wed Apr 11 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.3-2
- Add explicit BR/R on java and jpackage-utils
- Fix whitespace

* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.1-1
- Initial version of the package
